---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t007.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3330, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x547B0, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x566F0, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56AE0, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x57A80, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x57A90, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x542E0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x542E4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x542E8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x54440, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x544F8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x544FC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54500, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54504, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54508, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x54510, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x54520, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x54528, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x54530, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x54538, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x54540, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x54548, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x54590, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x54630, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x9510, offset: 0x9510, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x546D0, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x9529, offset: 0x9529, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x546D8, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x9542, offset: 0x9542, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x546E0, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x9594, offset: 0x9594, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1FD0, symSize: 0x80 }
  - { offsetInCU: 0x9629, offset: 0x9629, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1F20, symSize: 0xB0 }
  - { offsetInCU: 0x9684, offset: 0x9684, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1E20, symSize: 0x100 }
  - { offsetInCU: 0x9917, offset: 0x9917, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2050, symSize: 0xC0 }
  - { offsetInCU: 0x9969, offset: 0x9969, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2110, symSize: 0x220 }
  - { offsetInCU: 0x9B4E, offset: 0x9B4E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2330, symSize: 0xA0 }
  - { offsetInCU: 0x9C01, offset: 0x9C01, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x23D0, symSize: 0x110 }
  - { offsetInCU: 0x9CF7, offset: 0x9CF7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x24E0, symSize: 0x150 }
  - { offsetInCU: 0x9E74, offset: 0x9E74, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2630, symSize: 0x30 }
  - { offsetInCU: 0x9F55, offset: 0x9F55, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x2660, symSize: 0x150 }
  - { offsetInCU: 0xA14D, offset: 0xA14D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x27B0, symSize: 0x160 }
  - { offsetInCU: 0xA40D, offset: 0xA40D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2910, symSize: 0x4A0 }
  - { offsetInCU: 0xA680, offset: 0xA680, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2DB0, symSize: 0x1B0 }
  - { offsetInCU: 0xA89B, offset: 0xA89B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2F60, symSize: 0xA0 }
  - { offsetInCU: 0xA96A, offset: 0xA96A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3000, symSize: 0x20 }
  - { offsetInCU: 0xA9A1, offset: 0xA9A1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3020, symSize: 0x20 }
  - { offsetInCU: 0xA9D8, offset: 0xA9D8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3040, symSize: 0x20 }
  - { offsetInCU: 0xAB8B, offset: 0xAB8B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3060, symSize: 0x1A0 }
  - { offsetInCU: 0xAEA7, offset: 0xAEA7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3200, symSize: 0x130 }
  - { offsetInCU: 0xB057, offset: 0xB057, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x35A0, symSize: 0x1B0 }
  - { offsetInCU: 0xB346, offset: 0xB346, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3750, symSize: 0x80 }
  - { offsetInCU: 0xB40F, offset: 0xB40F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x37D0, symSize: 0x6A0 }
  - { offsetInCU: 0xBFA4, offset: 0xBFA4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB360, symBinAddr: 0x5CC0, symSize: 0xB0 }
  - { offsetInCU: 0xC01B, offset: 0xC01B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3E70, symSize: 0x70 }
  - { offsetInCU: 0xC0D7, offset: 0xC0D7, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3EE0, symSize: 0xA0 }
  - { offsetInCU: 0xC1E2, offset: 0xC1E2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3F80, symSize: 0x40 }
  - { offsetInCU: 0xC2D8, offset: 0xC2D8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3FC0, symSize: 0x2B0 }
  - { offsetInCU: 0xC67E, offset: 0xC67E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4270, symSize: 0xC0 }
  - { offsetInCU: 0xC7C4, offset: 0xC7C4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4330, symSize: 0x10 }
  - { offsetInCU: 0xC886, offset: 0xC886, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4340, symSize: 0x220 }
  - { offsetInCU: 0xCB83, offset: 0xCB83, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4560, symSize: 0x10 }
  - { offsetInCU: 0xCBE0, offset: 0xCBE0, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4570, symSize: 0x780 }
  - { offsetInCU: 0xD45B, offset: 0xD45B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA390, symBinAddr: 0x4CF0, symSize: 0x10 }
  - { offsetInCU: 0xD4B8, offset: 0xD4B8, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xA3A0, symBinAddr: 0x4D00, symSize: 0x190 }
  - { offsetInCU: 0xD59E, offset: 0xD59E, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xA530, symBinAddr: 0x4E90, symSize: 0x20 }
  - { offsetInCU: 0xD5EA, offset: 0xD5EA, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xA550, symBinAddr: 0x4EB0, symSize: 0x120 }
  - { offsetInCU: 0xD753, offset: 0xD753, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xA670, symBinAddr: 0x4FD0, symSize: 0xD0 }
  - { offsetInCU: 0xD872, offset: 0xD872, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xA740, symBinAddr: 0x50A0, symSize: 0xE0 }
  - { offsetInCU: 0xD953, offset: 0xD953, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xA820, symBinAddr: 0x5180, symSize: 0x20 }
  - { offsetInCU: 0xD9D5, offset: 0xD9D5, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xA840, symBinAddr: 0x51A0, symSize: 0x20 }
  - { offsetInCU: 0xDA41, offset: 0xDA41, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xA860, symBinAddr: 0x51C0, symSize: 0x250 }
  - { offsetInCU: 0xDD8B, offset: 0xDD8B, size: 0x8, addend: 0x0, symName: _cbNewSingleStep, symObjAddr: 0xAAB0, symBinAddr: 0x5410, symSize: 0x250 }
  - { offsetInCU: 0xE0D5, offset: 0xE0D5, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xAD00, symBinAddr: 0x5660, symSize: 0x20 }
  - { offsetInCU: 0xE136, offset: 0xE136, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xAD20, symBinAddr: 0x5680, symSize: 0x20 }
  - { offsetInCU: 0xE197, offset: 0xE197, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xAD40, symBinAddr: 0x56A0, symSize: 0x20 }
  - { offsetInCU: 0xE219, offset: 0xE219, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xAD60, symBinAddr: 0x56C0, symSize: 0x20 }
  - { offsetInCU: 0xE2BC, offset: 0xE2BC, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xAD80, symBinAddr: 0x56E0, symSize: 0x20 }
  - { offsetInCU: 0xE317, offset: 0xE317, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xADA0, symBinAddr: 0x5700, symSize: 0x20 }
  - { offsetInCU: 0xE38A, offset: 0xE38A, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xADC0, symBinAddr: 0x5720, symSize: 0x20 }
  - { offsetInCU: 0xE3FD, offset: 0xE3FD, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xADE0, symBinAddr: 0x5740, symSize: 0x20 }
  - { offsetInCU: 0xE464, offset: 0xE464, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xAE00, symBinAddr: 0x5760, symSize: 0x20 }
  - { offsetInCU: 0xE4CB, offset: 0xE4CB, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xAE20, symBinAddr: 0x5780, symSize: 0x20 }
  - { offsetInCU: 0xE526, offset: 0xE526, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xAE40, symBinAddr: 0x57A0, symSize: 0x20 }
  - { offsetInCU: 0xE581, offset: 0xE581, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xAE60, symBinAddr: 0x57C0, symSize: 0x20 }
  - { offsetInCU: 0xE600, offset: 0xE600, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xAE80, symBinAddr: 0x57E0, symSize: 0x20 }
  - { offsetInCU: 0xE64F, offset: 0xE64F, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xAEA0, symBinAddr: 0x5800, symSize: 0x20 }
  - { offsetInCU: 0xE686, offset: 0xE686, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xAEC0, symBinAddr: 0x5820, symSize: 0x20 }
  - { offsetInCU: 0xE6BD, offset: 0xE6BD, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xAEE0, symBinAddr: 0x5840, symSize: 0x60 }
  - { offsetInCU: 0xE734, offset: 0xE734, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xAF40, symBinAddr: 0x58A0, symSize: 0x20 }
  - { offsetInCU: 0xE7A7, offset: 0xE7A7, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xAF60, symBinAddr: 0x58C0, symSize: 0x300 }
  - { offsetInCU: 0xE88A, offset: 0xE88A, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB260, symBinAddr: 0x5BC0, symSize: 0x100 }
  - { offsetInCU: 0xE9E6, offset: 0xE9E6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB410, symBinAddr: 0x5D70, symSize: 0x36A }
...
